# jddayofweek

(PHP 4, PHP 5, PHP 7)

jddayofweek — Returns the day of the week

### Description

jddayofweek ( int `$julianday` [, int `$mode` = CAL_DOW_DAYNO ] ) : mixed

Returns the day of the week. Can return a string or an integer depending on the mode.

### Parameters

`julianday`

  A julian day number as integer

`mode`

  Calendar week modes
  Mode | Meaning
  --- | ---
  0 (Default) | Return the day number as an int (0=Sunday, 1=Monday, etc)
  1 | Returns string containing the day of week (English-Gregorian)
  2 | Return a string containing the abbreviated day of week (English-Gregorian)

### Return Values

The gregorian weekday as either an integer or string.